# This configuration file uses the syntax from Python's ConfigParser.
# The syntax is similar to Windows "INI" files.
#
# [section1]
# key1 = value1
# key2 = value2
#
# Each section entry defines a target machine configuration for the yocto
# cross-toolchain and image builder
#
# This are the entries that each section can have
#
# 'repo_manifest_path'  : The path to an XML file that contains the manifest
#                         with the repository data for the 'repo' tool.
# 'conf_bblayers_path'  : The path to the bblayers.conf file.
# 'conf_local_path'     : The path to the local.conf file.
# 'patch_file_path'     : (Optional) the path to a patch file that will be applied
#                         over the recipes after downloading them with 'repo'.
# 'image_basename'      : The name of the Yocto image to build and to use as base
#                         for the generated toolchain (with the 'populate_sdk' task).
# 'image_types'         : The type(s)/extension(s) that should be generated for the image.
#                         If there is more than one, separate them by spaces.
#                         NOTE: The type(s) defined here should match what is
#                         also defined on the Yocto variable 'IMAGE_FSTYPES' of the build.
# 'environment[var]'    : Export var=value on the environment.
#
#
# Notes:
#   - paths can be relative to this file
#   - the keys and values are case-sensitive.
#

# ARM 32-bits targets (ARMv7)

[rpi3-32bits-mesa]
repo_manifest_path = rpi/manifest.xml
conf_bblayers_path = rpi/bblayers.conf
conf_local_path = rpi/local-rpi3-32bits-mesa.conf
image_basename = webkit-dev-ci-tools
image_types = tar.xz wic.xz wic.bmap
environment[BUILD_WEBKIT_ARGS] = --no-fatal-warnings --cmakeargs="-DENABLE_WPE_QT_API=OFF -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF -DWPE_COG_PLATFORMS=drm,headless,wayland -DBWRAP_EXECUTABLE=/usr/bin/bwrap -DDBUS_PROXY_EXECUTABLE=/usr/bin/xdg-dbus-proxy"

[rpi3-32bits-userland]
repo_manifest_path = rpi/manifest.xml
conf_bblayers_path = rpi/bblayers.conf
conf_local_path = rpi/local-rpi3-32bits-userland.conf
image_basename = webkit-dev-ci-tools
image_types = tar.xz wic.xz wic.bmap
# WTR and MiniBrowser require wpbackend-fdo, with wpbackend-rdk we can only build cog
environment[BUILD_WEBKIT_ARGS] = --no-fatal-warnings --cmakeargs="-DENABLE_WPE_QT_API=OFF -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF -DENABLE_MINIBROWSER=OFF -DENABLE_API_TESTS=OFF -DENABLE_LAYOUT_TESTS=OFF -DWPE_COG_PLATFORMS=none -DBWRAP_EXECUTABLE=/usr/bin/bwrap -DDBUS_PROXY_EXECUTABLE=/usr/bin/xdg-dbus-proxy"

[rpi4-32bits-mesa]
repo_manifest_path = rpi/manifest.xml
conf_bblayers_path = rpi/bblayers.conf
conf_local_path = rpi/local-rpi4-32bits-mesa.conf
image_basename = webkit-dev-ci-tools
image_types = tar.xz wic.xz wic.bmap
environment[BUILD_WEBKIT_ARGS] = --no-fatal-warnings --cmakeargs="-DENABLE_WPE_QT_API=OFF -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF -DWPE_COG_PLATFORMS=drm,headless,wayland -DBWRAP_EXECUTABLE=/usr/bin/bwrap -DDBUS_PROXY_EXECUTABLE=/usr/bin/xdg-dbus-proxy"

# ARM 64-bits targets (AArch64)

[rpi3-64bits-mesa]
repo_manifest_path = rpi/manifest.xml
conf_bblayers_path = rpi/bblayers.conf
conf_local_path = rpi/local-rpi3-64bits-mesa.conf
image_basename = webkit-dev-ci-tools
image_types = tar.xz wic.xz wic.bmap
environment[BUILD_WEBKIT_ARGS] = --no-fatal-warnings --cmakeargs="-DENABLE_WPE_QT_API=OFF -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF -DWPE_COG_PLATFORMS=drm,headless,wayland -DBWRAP_EXECUTABLE=/usr/bin/bwrap -DDBUS_PROXY_EXECUTABLE=/usr/bin/xdg-dbus-proxy"

[rpi4-64bits-mesa]
repo_manifest_path = rpi/manifest.xml
conf_bblayers_path = rpi/bblayers.conf
conf_local_path = rpi/local-rpi4-64bits-mesa.conf
image_basename = webkit-dev-ci-tools
image_types = tar.xz wic.xz wic.bmap
environment[BUILD_WEBKIT_ARGS] = --no-fatal-warnings --cmakeargs="-DENABLE_WPE_QT_API=OFF -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF -DWPE_COG_PLATFORMS=drm,headless,wayland -DBWRAP_EXECUTABLE=/usr/bin/bwrap -DDBUS_PROXY_EXECUTABLE=/usr/bin/xdg-dbus-proxy"

[qemu-riscv64]
repo_manifest_path = riscv/manifest.xml
conf_bblayers_path = riscv/bblayers.conf
conf_local_path = riscv/local-qemu-riscv64.conf
image_basename = webkit-dev-ci-tools
image_types = tar.xz wic.xz wic.bmap
environment[BUILD_WEBKIT_ARGS] = --no-fatal-warnings --cmakeargs="-DENABLE_WPE_QT_API=OFF -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF -DWPE_COG_PLATFORMS=drm,headless,wayland -DBWRAP_EXECUTABLE=/usr/bin/bwrap -DDBUS_PROXY_EXECUTABLE=/usr/bin/xdg-dbus-proxy"
